Index: frontend/index.html
===================================================================
--- frontend/index.html	(revision cd64b0654f6b71706257c7744e179b22c9386ade)
+++ frontend/index.html	(revision df7f3908d4d04d0a62480f95b6d163db19795365)
@@ -54,9 +54,9 @@
         <span class="close">&times;</span>
         <div class="saved-trips-container">
-            <h2>Saved Trips</h2>
+            <h2>Зачувани патувања</h2>
             <div id="savedTripsList"></div>
         </div>
         <div class="price-changes-container">
-            <h2>Price Changes</h2>
+            <h2>Промени во понудата</h2>
             <div id="priceChangesList"></div>
         </div>
@@ -107,19 +107,18 @@
     <div class="loading-content">
         <div class="spinner"></div>
-        <p>Loading, please wait...</p>
+        <p>Пребарувам. ве молиме почекајте...</p>
     </div>
 </div>
 <div id="AccountDetailsOverlay" class="popup accDetails">
     <div class="popup-content">
-        <h1>My account</h1>
+        <h1>Мој профил</h1>
         <div class="popup-content" style="display: none" id="confDel">
             <div class="delete" >
-                <h1>Are you sure you want to delete your account?</h1>
-                <button onclick="deleteAccount()" class="button" id="confirmDelete" style="background-color: red">Yes</button>
-                <button id="cancel" class="button" onclick="closeConfirmDelete()">No</button>
+                <h1>Дали сте сигурни дека сакате да го избришете профилот?</h1>
+                <button onclick="deleteAccount()" class="button" id="confirmDelete" style="background-color: red">Да</button>
+                <button id="cancel" class="button" onclick="closeConfirmDelete()">Не</button>
             </div>
         </div>
-        <button class="button" id="pswdChange">Change password</button>
-        <button class="button" style="background-color: red" id="deleteAcc" onclick="confirmDelete()">Delete Account</button>
+        <button class="button" style="background-color: red" id="deleteAcc" onclick="confirmDelete()">Избриши профил</button>
     </div>
 </div>
Index: frontend/js/formHandler.js
===================================================================
--- frontend/js/formHandler.js	(revision cd64b0654f6b71706257c7744e179b22c9386ade)
+++ frontend/js/formHandler.js	(revision df7f3908d4d04d0a62480f95b6d163db19795365)
@@ -51,4 +51,5 @@
                 const dataList = document.getElementById('givenOptions');
                 dataList.innerHTML = '';
+
                 if (data.length === 0) {
                     const wrapper = document.createElement('div');
@@ -66,11 +67,11 @@
                         img.src = item.imgSrc || '';
                         optionDiv.appendChild(img);
-                        const WrapperDiv = document.createElement('div');
-                        optionDiv.appendChild(WrapperDiv);
+                        const wrapperDiv = document.createElement('div');
+                        optionDiv.appendChild(wrapperDiv);
 
                         const nameParagraph = document.createElement('p');
                         nameParagraph.id = 'name';
                         nameParagraph.textContent = item.hotelName || 'N/A';
-                        WrapperDiv.appendChild(nameParagraph);
+                        wrapperDiv.appendChild(nameParagraph);
 
                         const countryParagraph = document.createElement('p');
@@ -78,23 +79,23 @@
                         countryParagraph.style.fontSize = '20px';
                         countryParagraph.textContent = item.country || 'N/A';
-                        WrapperDiv.appendChild(countryParagraph);
+                        wrapperDiv.appendChild(countryParagraph);
 
                         const dateParagraph = document.createElement('h2');
                         dateParagraph.id = 'date';
                         dateParagraph.textContent = item.dateRange || 'N/A';
-                        WrapperDiv.appendChild(dateParagraph);
+                        wrapperDiv.appendChild(dateParagraph);
 
                         const peopleParagraph = document.createElement('p');
                         peopleParagraph.id = 'numPeople';
                         peopleParagraph.textContent = item.numPeople === 1 ? item.numPeople + " лице" : item.numPeople + " лица";
-                        WrapperDiv.appendChild(peopleParagraph);
+                        wrapperDiv.appendChild(peopleParagraph);
 
                         const priceHeading = document.createElement('h1');
                         priceHeading.textContent = 'Цена:';
-                        WrapperDiv.appendChild(priceHeading);
+                        wrapperDiv.appendChild(priceHeading);
                         const priceParagraph = document.createElement('h2');
                         priceParagraph.id = 'price';
                         priceParagraph.textContent = (item.price || 0) + " EUR";
-                        WrapperDiv.appendChild(priceParagraph);
+                        wrapperDiv.appendChild(priceParagraph);
 
                         const infoDiv = document.createElement('div');
@@ -110,4 +111,12 @@
                         infoDiv.appendChild(amenities);
                         optionDiv.appendChild(infoDiv);
+
+                        const changesDiv = document.createElement('div');
+                        item.changes.forEach(change => {
+                            const changeParagraph = document.createElement('p');
+                            changeParagraph.textContent = change.attribute + " changed from " + change.oldValue + " to " + change.newValue;
+                            changesDiv.appendChild(changeParagraph);
+                        });
+                        optionDiv.appendChild(changesDiv);
 
                         const link = document.createElement('a');
Index: frontend/js/siteFlow.js
===================================================================
--- frontend/js/siteFlow.js	(revision cd64b0654f6b71706257c7744e179b22c9386ade)
+++ frontend/js/siteFlow.js	(revision df7f3908d4d04d0a62480f95b6d163db19795365)
@@ -168,5 +168,4 @@
         .then(data => {
             console.log('Option saved:', data);
-            // Update the UI to reflect that the option was saved
             updateFavoriteButtons();
         })
@@ -243,7 +242,18 @@
                 tripDiv.appendChild(price);
 
+                // Add change indicator
+                if(trip.changes && trip.changes.length > 0) {
+                    const changeDiv = document.createElement('div');
+                    changeDiv.classList.add('changes');
+                    trip.changes.forEach(change => {
+                        const changeParagraph = document.createElement('p');
+                        changeParagraph.textContent = `${change.attribute} се смени од ${change.oldValue} во ${change.newValue}`;
+                        changeDiv.appendChild(changeParagraph);
+                    });
+                    tripDiv.appendChild(changeDiv);
+                }
+
                 savedTripsList.appendChild(tripDiv);
             });
-
 
             const priceChangesList = document.getElementById('priceChangesList');
@@ -258,5 +268,5 @@
                 });
             } else {
-                priceChangesList.textContent = "нема промена на цената.";
+                priceChangesList.textContent = "нема промена во зачуваните патувања.";
             }
         })
@@ -265,4 +275,5 @@
         });
 }
+
 function removeFromSaved(optionId) {
     const userEmail = sessionStorage.getItem('user').replace(/^"|"$/g, '');
